Bug 1259540 - [Radeon/Tonga] use-after-free traps IOMMU
[Radeon/Tonga] use-after-free traps IOMMU
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libdrm (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 20:39 EDT by Edward O'Callaghan
Modified: 2015-09-22 13:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-22 13:28:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward O'Callaghan 2015-09-02 20:39:38 EDT
Description of problem:

libdrm needs a version bump or to back port a use-after-free patch else the IOMMU will trap on wayland and possibly under X causing segmentation faults due to out of bounds memory access on the aperture.

The following bug report contains details of the issue:

 https://bugs.freedesktop.org/show_bug.cgi?id=91704

and the fix was merged here:

 http://cgit.freedesktop.org/mesa/drm/commit/?id=5c42b5e36a4a02e579ec5dcdc3a95ce58538224c

Version-Release number of selected component (if applicable):

libdrm-2.4.64

Many thanks,
Edward.
Comment 1 Edward O'Callaghan 2015-09-07 07:03:49 EDT
Hi,

After looking over this again, the severity should be perhaps considered urgent as this could possibly be used as a exploit vector although I have not written a proof of concept yet.

Regards,
Comment 2 Edward O'Callaghan 2015-09-16 10:56:01 EDT
Fixed in version 2.4.65 which was bumped here:

http://cgit.freedesktop.org/mesa/drm/commit/?id=c3496167637e35cf8a52d5e7e53a412e79d80db0

Awaiting a RPM rebuild with the version bump now..
Comment 3 Igor Gnatenko 2015-09-22 13:28:08 EDT
2.4.65 is in rawhide and will update in f23 as well.

Note You need to log in before you can comment on or make changes to this bug.